'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.error = error;
exports.reject = reject;
exports.gte = gte;

var _semver = require('semver');

var _semver2 = _interopRequireDefault(_semver);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function error(message, code) {
  const e = new Error(message);
  e.code = code;
  return e;
}

function reject(message, code) {
  return Promise.reject(error(message, code));
}

const STR_DOT = '.';

function cleanVersion(version) {
  const splitted = version.split(STR_DOT);
  const prefix = splitted.slice(0, 3);
  const suffix = splitted.slice(3);

  prefix.length = 3;

  return prefix.map(x => x || '0').join(STR_DOT) + (suffix.length ? '-' + suffix.join(STR_DOT) : '');
}

function gte(a, b) {
  return _semver2.default.gte(cleanVersion(a), cleanVersion(b));
}